{
  "name": "@ntof/ntof-stubs",
  "version": "1.0.1",
  "description": "n_ToF Node.js stubs",
  "main": "src/index.js",
  "bin": {
    "NTOFStub": "./bin/NTOFStub.js"
  },
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "test": "mocha test",
    "test:ci": "run-s test:coverage",
    "test:watch": "run-s 'watch -- run-s test'",
    "test:coverage": "nyc -n src -a -r lcov -r text mocha test",
    "lint": "./bin/lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "./bin/lint --builder",
    "lint:ci:report": "./bin/mkci-lint-report",
    "tc:ci:builder": "./bin/tc --builder",
    "tc:ci:report": "./bin/mkci-tc-report",
    "watch": "nodemon -w src -w test -x "
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.cern.ch/ntof/daq/ntof-stubs.js"
  },
  "keywords": [
    "ntof",
    "stubs",
    "tests"
  ],
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "license": "Apache-2.0",
  "dependencies": {
    "@cern/prom": "^1.0.0",
    "chai": "^4.2.0",
    "commander": "^6.2.0",
    "debug": "^4.2.0",
    "@cern/dim": "^1.0.0",
    "@ntof/dim-xml": "^1.0.0",
    "dirty-chai": "^2.0.1",
    "lodash": "^4.17.20",
    "npm-run-all": "^4.1.5",
    "npm-scripts-info": "^0.3.9"
  },
  "devDependencies": {
    "@tsconfig/node12": "^1.0.7",
    "@types/chai": "^4.2.17",
    "@types/debug": "^4.1.5",
    "@types/dirty-chai": "^2.0.2",
    "@types/events": "^3.0.0",
    "@types/lodash": "^4.14.165",
    "@types/node": "^15.0.1",
    "@types/xmldom": "^0.1.30",
    "@typescript-eslint/eslint-plugin": "^4.7.0",
    "@typescript-eslint/parser": "^4.7.0",
    "eslint": "^7.10.0",
    "jshint": "^2.12.0",
    "@cern/mkbadge": "^1.0.0",
    "mocha": "^8.1.3",
    "nodemon": "^2.0.4",
    "nyc": "^15.1.0",
    "typescript": "^4.0.5"
  }
}
